技术频道导航
HTML/CSS
.NET技术
IIS技术
PHP技术
Js/JQuery
Photoshop
Fireworks
服务器技术
操作系统
网站运营

赞助商

分类目录

赞助商

最新文章

搜索

箭头函数不兼容IE浏览器?兼容Edge浏览器吗?

作者:admin    时间:2022-7-5 14:23:12    浏览:

箭头函数在现在的JS编程中常常被用到,不过在使用箭头函数之前,你最好先了解一下,它兼容哪些浏览器。

下图显示箭头函数的浏览器兼容情况。

可以看到,箭头函数并不兼容IE浏览器。

不过箭头函数兼容Edge浏览器,但注意要12+版本。Edge浏览器同样是微软开发的,它是IE的替代品,并且是win10的默认浏览器。

ES6(ECMAScript 2015 (6th Edition, ECMA-262))中允许使用=>来定义函数,这就称作箭头函数。

箭头函数相当于匿名函数,它的语法比函数表达式更简洁,并且没有自己的thisargumentssupernew.target。箭头函数表达式更适用于那些本来需要匿名函数的地方,并且它不能用作构造函数。

当JS遇到IE浏览器,在循环语句的执行上同样会出现兼容性问题,因为不是所有的循环语句都能兼容IE浏览器,JS中不兼容IE浏览器的循环语句有哪些?for..of,forEach?

相关文章

标签: 箭头函数  
x
x
  • 站长推荐